$OpenBSD: patch-dap4_test_test_parse_sh,v 1.1 2019/03/13 20:27:40 sthen Exp $

Index: dap4_test/test_parse.sh
--- dap4_test/test_parse.sh.orig
+++ dap4_test/test_parse.sh
@@ -20,18 +20,18 @@ for f in $F ; do
 	failure "${f}"
     fi
     if test "x${TEST}" = x1 ; then
-	if ! diff -wBb ${BASELINE}/${f}.d4p ./results_test_parse/${f}.d4p ; then
+	if ! gdiff -wBb ${BASELINE}/${f}.d4p ./results_test_parse/${f}.d4p ; then
 	    failure "${f}"
 	fi
     elif test "x${DIFF}" = x1 ; then
-	echo "diff -wBb ${DMRTESTFILES}/${f}.dmr ./results_test_parse/${f}.d4p"
+	echo "gdiff -wBb ${DMRTESTFILES}/${f}.dmr ./results_test_parse/${f}.d4p"
 	rm -f ./tmp
 	cat ./results_test_parse/${f}.d4p \
 	| sed -e '/<Dimensions>/d' -e '/<Types>'/d -e '/<Variables>'/d -e '/<Groups>'/d \
 	| sed -e '/<\/Dimensions>/d' -e '/<\/Types>'/d -e '/<\/Variables>'/d -e '/<\/Groups>'/d  \
 	| sed -e '/_edu.ucar.opaque.size/,+2d' \
 	| cat > ./tmp
-	if ! diff -wBb ${DMRTESTFILES}/${f}.dmr ./tmp ; then
+	if ! gdiff -wBb ${DMRTESTFILES}/${f}.dmr ./tmp ; then
 	    failure "${f}" 
 	fi
     elif test "x${RESET}" = x1 ; then
